Bug 712291 - Very long udev initialization on ASUS EeePC 901
Summary: Very long udev initialization on ASUS EeePC 901
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: biosdevname
Version: 15
Hardware: i686
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Narendra K
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-10 07:03 UTC by Didier
Modified: 2012-07-26 22:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-26 22:31:20 UTC


Attachments (Terms of Use)

Description Didier 2011-06-10 07:03:07 UTC
A stock ASUS EeePC-901 takes very long to boot, mainly attributable to the udev initialization taking 45 seconds.

dmesg excerpt :
[   10.332584] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   55.772314] udev[437]: renamed network interface eth0 to p33p1


Versions :
kernel-PAE-2.6.38.7-30.fc15.i686 (module eeepc_laptop loaded)
udev-167-4.fc15.i686



Remark : the next substantial time lapse (29 seconds) may or may not be related : (excerpt from /var/log/messages)

Jun 10 08:36:00 xxx dbus-daemon: [system] Activating via systemd: service name='org.freedesktop.RealtimeKit1' unit='rtkit-daemon.service'
Jun 10 08:36:00 xxx dbus-daemon: [system] Successfully activated service 'org.freedesktop.RealtimeKit1'
Jun 10 08:36:29 xxx gnome-session[1521]: WARNING: Application 'gnome-settings-daemon.desktop' failed to register before timeout
Jun 10 08:36:30 xxx dbus-daemon: [system] Activating service name='org.freedesktop.UDisks' (using servicehelper)
Jun 10 08:36:30 xxx dbus-daemon: [system] Successfully activated service 'org.freedesktop.UDisks'
Jun 10 08:36:30 xxx dbus-daemon: [system] Activating service name='org.freedesktop.UPower' (using servicehelper)
Jun 10 08:36:30 xxx dbus-daemon: [system] Successfully activated service 'org.freedesktop.UPower'

Comment 1 Fedora Admin XMLRPC Client 2011-10-20 16:08:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2011-10-20 16:11:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2011-10-20 16:13:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2011-10-20 16:17:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Harald Hoyer 2011-10-21 09:42:38 UTC
(In reply to comment #0)
> [   55.772314] udev[437]: renamed network interface eth0 to p33p1

Oh, this is most likely a biosdevname bug

Comment 6 Narendra K 2012-01-18 18:33:36 UTC
Hi, This issue seems similar to bug 707583. Could you please test biosdevname-0.3.11 and let us know the results ?

Comment 7 Fedora Update System 2012-07-18 13:31:56 UTC
biosdevname-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/biosdevname-0.4.1-1.fc17

Comment 8 Fedora Update System 2012-07-19 09:00:36 UTC
Package biosdevname-0.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing biosdevname-0.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10778/biosdevname-0.4.1-1.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-07-26 22:31:20 UTC
biosdevname-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.